Loading...
Searching...
No Matches
ProbeValue< BuildT > Struct Template Reference

Implements Tree::probeLeaf(Coord) More...

`#include <nanovdb/NanoVDB.h>`

## Public Types

using | ValueT = typename BuildToValueMap<BuildT>::Type

## Static Public Member Functions

static bool | get (const NanoRoot< BuildT > &root, ValueT &v)
static bool | get (const typename NanoRoot< BuildT >::Tile &tile, ValueT &v)
static bool | get (const NanoUpper< BuildT > &node, uint32_t n, ValueT &v)
static bool | get (const NanoLower< BuildT > &node, uint32_t n, ValueT &v)
static bool | get (const NanoLeaf< BuildT > &leaf, uint32_t n, ValueT &v)

## Detailed Description

template<typename BuildT>
struct nanovdb::ProbeValue< BuildT >

Implements Tree::probeLeaf(Coord)

Template Parameters

  BuildT | Build type of the grid being called

## Member Typedef Documentation

## ValueT

template<typename BuildT>

using ValueT = typename BuildToValueMap<BuildT>::Type

## Member Function Documentation

## get() [1/5]

template<typename BuildT>

bool get | ( | const NanoLeaf< BuildT > & | leaf,
|  | uint32_t | n,
|  | ValueT & | v )

inlinestatic

## get() [2/5]

template<typename BuildT>

bool get | ( | const NanoLower< BuildT > & | node,
|  | uint32_t | n,
|  | ValueT & | v )

inlinestatic

## get() [3/5]

template<typename BuildT>

bool get | ( | const NanoRoot< BuildT > & | root,
|  | ValueT & | v )

inlinestatic

## get() [4/5]

template<typename BuildT>

bool get | ( | const NanoUpper< BuildT > & | node,
|  | uint32_t | n,
|  | ValueT & | v )

inlinestatic

## get() [5/5]

template<typename BuildT>

bool get | ( | const typename NanoRoot< BuildT >::Tile & | tile,
|  | ValueT & | v )

inlinestatic